Bug 178839 - CPU's being incorrectly numbered
CPU's being incorrectly numbered
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2006-01-24 13:31 EST by Graham Biswell
Modified: 2014-08-14 21:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 16:20:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from "cat /proc/cpuinfo" (30.09 KB, text/plain)
2006-01-24 13:34 EST, Graham Biswell
no flags Details
dmesg output (54.62 KB, text/plain)
2006-01-24 13:34 EST, Graham Biswell
no flags Details

  None (edit)
Description Graham Biswell 2006-01-24 13:31:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
4-node IBM x460 each with 4 physical dual-core cpu's with hyperthreading enabled.
cat'ing /proc/cpuinfo only reports 32 logical cpu's, where we would expect 64.
dmesg output shows that the cpu's are not being sequentially numbered. As a result, some are being incorrectly numbered as being above #128 & thus are not being utilised, eg:
ACPI: LAPIC (acpi_id[0x20] lapic_id[0x80] enabled)
Processor #128 invalid (max 128)



Version-Release number of selected component (if applicable):
kernel-largesmp-2.6.9-27.EL.x86_64

How reproducible:
Always

Steps to Reproduce:
1. boot system with largesmp kernel
2.
3.
  

Additional info:
Comment 1 Graham Biswell 2006-01-24 13:34:01 EST
Created attachment 123626 [details]
output from "cat /proc/cpuinfo"
Comment 2 Graham Biswell 2006-01-24 13:34:46 EST
Created attachment 123627 [details]
dmesg output
Comment 3 Graham Biswell 2006-01-24 14:00:47 EST
I should add that with hyperthreading disabled, only 16 logical cpu's are reported.
Comment 4 Jim Paradis 2006-01-24 15:05:24 EST
This is a duplicate of Bug 177561.  The CPUs are in fact being numbered
correctly.  The problem is that the kernel only recognized a maximum CPU id of
128 when in fact the hardware limit is 255.

The 460 in particular implements "sparse" numbering of CPUs; each successive
node starts numbering CPUs at the next multiple of 64, which is why half of the
CPUs are in the 128-255 range and thus unused.

A patch has already been committed for this.

*** This bug has been marked as a duplicate of 177561 ***
Comment 6 Red Hat Bugzilla 2006-03-07 16:20:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.